DBAsupport.com Forums - Powered by vBulletin
Results 1 to 6 of 6

Thread: Issues installing 8.1.7.4 Patch

  1. #1
    Join Date
    Oct 2000
    Location
    Dallas:TX:USA
    Posts
    407

    Issues installing 8.1.7.4 Patch

    Working with Oracle Enterprise 8.1.7 (32-bit) on HP-UX 11.0
    I installed 8.1.7.4 patch on 8.1.7.0 without any problems on 2 separate servers.

    Installing on the 3rd server the runInstaller shows message something like... "No Oracle 8.1.7.4 components need to be installed"

    Even though I have inherited these systems from other people, I am quite sure that noone has installed 8.1.7.4 patch; then we does the system think the patch is not needed.

    select * from v$version shows version 8.1.7.0

    Where else can I check to resolve this issue.
    Thanks,
    -Rajeev
    Rajeev Suri

  2. #2
    Join Date
    Oct 2000
    Location
    Saskatoon, SK, Canada
    Posts
    3,925
    Is the installer repository shared? If so the installer would look into the repository of its information and decide that it does not require the install.

    Sam
    Thanx
    Sam



    Life is a journey, not a destination!


  3. #3
    Join Date
    Oct 2000
    Location
    Dallas:TX:USA
    Posts
    407
    and how do I check if the repository is shared?
    Rajeev Suri

  4. #4
    Join Date
    Jan 2003
    Location
    Delhi
    Posts
    63
    Is there any oracle s/w on the server other than ur 8.1.7.

    if yes then check the inventory path .

    oraInst.loc in /etc

    Are u seeing the 8.1.7 home from runInstaller ?

  5. #5
    Join Date
    Oct 2000
    Location
    Dallas:TX:USA
    Posts
    407
    /etc/oratab lists databases that are only 8.1.7.0

    OraInst.loc is in /var/opt/oracle/oraInst.loc
    The file points to /opt/oracle8i/app/oracle/oraInventory

    When I start installer, it shows the Oracle Home path as --
    /opt/oracle817/app/oracle/product/8.1.7 (which is correct)

    (oracle817 is a softlink to oracle8i)

    I point the Source file to --
    /xfer/DBA/patch8174/stage/products.jar
    ...and hit the Next button.

    While working on the "dependencies" it shows me the following message -
    "There are no patches that need to be applied from the Patch set Oracle 8i Patch Set 8.1.7.4.0"


    Looking into oraInventory directory, I didn't find anything obvious that leads me to 8.1.7.4 stuff.
    Is there a particular file I should be looking for?

    Thanks,
    Rajeev Suri

  6. #6
    Join Date
    Oct 2000
    Location
    Dallas:TX:USA
    Posts
    407
    I guess I have found the solution but I am not convinced why this shoud be an issue -

    Seems like the soft link was an issue.
    ORACLE_HOME is setup as something/oracle817

    oracle817 is a softlink pointing to something/oracle8i

    When running runInstaller, I changed the ORACLE_HOME to something/oracle8i and it worked just fine.

    Has anyone encountered issues using softlinks in ORACLE_HOME?

    Thanks for your help Sam and mdash!

    -Rajeev
    Rajeev Suri

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


Click Here to Expand Forum to Full Width